Bug 294361 - OpenOffice.org2 will not install on x86_64: missing dependency libpython2.3.so.1.0
OpenOffice.org2 will not install on x86_64: missing dependency libpython2.3.s...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: comps (Show other bugs)
4.5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Radovan Musil
:
: 485549 (view as bug list)
Depends On: 239093
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-18 04:09 EDT by Michal Nowak
Modified: 2013-03-07 21:03 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-13 15:28:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 Troy Dawson 2008-03-04 16:25:36 EST
This still isn't fixed, and I really don't think it is a comps issue, I believe
it is a problem with the openoffice.org2 spec file.

# cat /etc/redhat-release
Red Hat Enterprise Linux WS release 4 (Nahant Update 6)
# uname -a
Linux vm-rhel4-64.fnal.gov 2.6.9-67.0.4.ELxenU #1 SMP Fri Jan 18 05:20:05 EST
2008 x86_64 x86_64 x86_64 GNU/Linux
# up2date install openoffice.org2*

Fetching Obsoletes list for channel: rhel-x86_64-ws-4...

Fetching Obsoletes list for channel: rhel-x86_64-ws-4-fastrack...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
openoffice.org2-base                    2.0.4          5.7.0.3.0         i386
openoffice.org2-calc                    2.0.4          5.7.0.3.0         i386
openoffice.org2-core                    2.0.4          5.7.0.3.0         i386
openoffice.org2-draw                    2.0.4          5.7.0.3.0         i386
openoffice.org2-emailmerge              2.0.4          5.7.0.3.0         i386
openoffice.org2-graphicfilter           2.0.4          5.7.0.3.0         i386
openoffice.org2-impress                 2.0.4          5.7.0.3.0         i386
openoffice.org2-javafilter              2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-af_ZA          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-ar             2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-bg_BG          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-bn             2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-ca_ES          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-cs_CZ          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-cy_GB          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-da_DK          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-de             2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-el_GR          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-es             2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-et_EE          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-eu_ES          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-fi_FI          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-fr             2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-ga_IE          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-gl_ES          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-gu_IN          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-he_IL          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-hi_IN          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-hr_HR          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-hu_HU          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-it             2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-ja_JP          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-ko_KR          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-lt_LT          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-ms_MY          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-nb_NO          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-nl             2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-nn_NO          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-pa_IN          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-pl_PL          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-pt_BR          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-pt_PT          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-ru             2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-sk_SK          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-sl_SI          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-sr_CS          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-sv             2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-ta_IN          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-th_TH          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-tr_TR          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-zh_CN          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-zh_TW          2.0.4          5.7.0.3.0         i386
openoffice.org2-langpack-zu_ZA          2.0.4          5.7.0.3.0         i386
openoffice.org2-math                    2.0.4          5.7.0.3.0         i386
openoffice.org2-pyuno                   2.0.4          5.7.0.3.0         i386
openoffice.org2-testtools               2.0.4          5.7.0.3.0         i386
openoffice.org2-writer                  2.0.4          5.7.0.3.0         i386
openoffice.org2-xsltfilter              2.0.4          5.7.0.3.0         i386


Testing package set / solving RPM inter-dependencies...
There was a package dependency problem. The message was:

Unresolvable chain of dependencies:
openoffice.org2-pyuno  2.0.4-5.7.0.3.0   requires libpython2.3.so.1.0


The following packages were added to your selection to satisfy dependencies:
Package                                Required by
----------------------------------------------------------------------------
#

Comment 5 Mike McLean 2008-03-04 17:14:06 EST
Some multilib issues relating to oo.org2 were fixed, but this one was not. It
cannot easily be fixed because the remaining multilib dependencies are a can of
worms.

The problem is only encountered if you try to install the
openoffice.org2-emailmerge or openoffice.org2-pyuno subpackages. I recommend you
only install the oo.org packages that you need and not "openoffice.org2*".
Comment 6 Colin Coe 2008-10-05 23:03:55 EDT
When trying to install openoffice.org2-writer at build time (via ks.cfg) you are told that the package does not exist even though 'up2date --showall --show-channels | grep openoffice.org2-writer' reports
openoffice.org2-writer-2.0.4-5.7.0.5.0.i386rhel-x86_64-ws-4

This is EL4u7 (x86_64).

comps.xml makes no reference to any openoffice.org2 packages.

CC
Comment 7 Mike McLean 2008-10-06 17:10:56 EDT
In EL4 openoffice.org2 is an rhn-only tech preview. It is not included on the installation media.
Comment 13 Caolan McNamara 2009-02-14 05:31:06 EST
*** Bug 485549 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.